> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a saved prompt



## OpenAPI

````yaml /openapi/flows.yaml post /saved-prompts
openapi: 3.1.0
info:
  title: Connie Flows API
  version: 1.0.0
  description: >
    API for Tables (structured data), Workflows (automation pipelines), the
    Workflow Builder, triggers, jobs, and streaming state. "Flows" is the
    product name for Tables + Workflows.
servers:
  - url: https://connie.ai/api
    description: Production
security:
  - cookieAuth: []
tags:
  - name: Tables
    description: Table management, views, and configuration
  - name: Table Items
    description: Row (item) operations
  - name: Table Cells
    description: Cell-level read and write operations
  - name: Table Properties
    description: Column management
  - name: Table Bulk
    description: Bulk row operations
  - name: Table Transforms
    description: Formula, split, text-to-columns, and enrichment
  - name: Table Imports
    description: Importing data from CSV, Apollo, Pipe0, and People sources
  - name: Workflows
    description: Workflow CRUD and execution
  - name: Workflow Builder
    description: Node configuration, testing, and AI assistance
  - name: Workflow Results
    description: Workflow result table management
  - name: Triggers
    description: Workflow trigger management
  - name: Jobs
    description: Async background job management
  - name: Streaming State
    description: Streaming job state management
  - name: Saved Prompts
    description: Saved AI prompt library
  - name: Internal
    description: Internal options and formula action endpoints
paths:
  /saved-prompts:
    post:
      tags:
        - Saved Prompts
      summary: Create a saved prompt
      operationId: createSavedPrompt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - title
                - content
              properties:
                title:
                  type: string
                content:
                  type: string
                category:
                  type: string
      responses:
        '201':
          description: Prompt created
          content:
            application/json:
              schema:
                type: object
                properties:
                  prompt:
                    $ref: '#/components/schemas/SavedPrompt'
components:
  schemas:
    SavedPrompt:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        content:
          type: string
        category:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: session

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.